Imports System.IO

Module DirFolder

    Sub Main(args As String())
        Dim currentDir As String=Directory.GetCurrentDirectory()
        If args.Length >0 then currentDir=args(0)
           
        Dim Files As String() =Directory.GetFiles(currentDir )
        Dim Dirs As String() =  Directory.GetDirectories(currentDir )

        Dim DirectoryName As String
        For Each DirectoryName In Dirs
            Console.WriteLine("  <DIR>   {0}", DirectoryName)
        Next

        Dim Filename As String
        For Each Filename In Files
            Console.WriteLine(Filename)
        Next
    End Sub

End Module
